Subject: Re: bug#20941: Fwd: installation of automake, autoconf, m4 error

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 16 Jul 2017 21:39:04 +0200

Mathieu Lirzin <[email-masked]> writes:

> Please avoid cross posting across mailing lists.
>
> Krishnan Rajiyah <[email-masked]> writes:
>
>> ---------- Forwarded message ---------
>> From: Krishnan Rajiyah <[email-masked]>
>> Date: Mon, Jun 29, 2015 at 10:40 AM
>> Subject: installation of automake, autoconf, m4 error
>> To: <[email-masked]>, <[email-masked]>
>>
>> Hello GNU,
>>
>> I have been trying to install automake, autoconf, and m4 on my
>> NetBSD-4.0.1-x68k system. As I understand from your website,
>> automake requires autoconf which requires m4 which requires perl. I
>> havent
>> installed perl yet, because I am getting errors saying that it cant make built-in (still trying to find a way around this).
>>
>> However, the problem I had with m4 make was not with perl, it said
>> that automake-1.14 was missing from the system. This does not make
>> sense since that would mean that there would be a cycle in the
>> dependency tree.
>>
>> I am trying to install the latest version of autoconf (2012 release), the latest version of m4 (2013 release), and the second latest verison of automake (2013 release).
>>
>> Can you please tell me what I am doing wrong? Is your software even compatible with a NetBSD-4.0.1-x68k system?
>>
>> Thanks,
>> Krishnan Rajiyah
>
> Since in any case this is not related to an automake bug.  I closing
> this issue.

I may have been too quick in my conclusion that this is not an automake
bug.  This may be related to bug#20831 [1]

Can you confirm that you were actually building from a tarball ?
If yes then I will reopen this bug and merge it with bug#20831.

Are you able to reproduce this issue with the latest versions of
Autoconf, Automake, and m4 ?

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20831